# dsl - Draw Strength Line

Software to draw strength lines on image

***

## prerequisites

This software is build as a standalone application for Windows and Linux. Files can be found here : [wiki de dsl](https://gogs.univ-littoral.fr/synave/dsl/wiki)

***

## Build from source

### Donwload and install Qt

If you want to build from source, you have to download and install Qt.

Linux users can use package manager to install this library.

Linux and Windows users can also visit this website to download and install the library :

[Site web de Qt](https://www.qt.io/download-qt-installer)

### Build software with QtCreator

Open the dsl.pro file with QtCreator.

### Build software with command lines

#### For linux users :

With a terminal, go to the dsl directory where you have the file dsl.pro. Then :

`qmake`

`make`

dsl executable file will be generate in the directory. Launch it with : ./dsl

#### For Windows users :

Open the mingw terminal installed with the Qt library. You can find it in Qt subdirectory (for example C:\Qt\6.4.0\mingw_64). With this terminal, go to the directory where you can find the dsl.pro file. Then :

̀qmake`

`mingw32-make`

A release directory will be created where you can execute the software :
cd release
dsl.exe